package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwBdAccperiodquart;
import com.dhcc.finance.main.domain.CwBdAccperiodquartExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CwBdAccperiodquartMapper {
    long countByExample(CwBdAccperiodquartExample example);

    int deleteByExample(CwBdAccperiodquartExample example);

    int deleteByPrimaryKey(String pkAccperiodquart);

    int insert(CwBdAccperiodquart record);

    int insertSelective(CwBdAccperiodquart record);

    List<CwBdAccperiodquart> selectByExample(CwBdAccperiodquartExample example);

    CwBdAccperiodquart selectByPrimaryKey(String pkAccperiodquart);

    int updateByExampleSelective(@Param("record") CwBdAccperiodquart record, @Param("example") CwBdAccperiodquartExample example);

    int updateByExample(@Param("record") CwBdAccperiodquart record, @Param("example") CwBdAccperiodquartExample example);

    int updateByPrimaryKeySelective(CwBdAccperiodquart record);

    int updateByPrimaryKey(CwBdAccperiodquart record);
    /**
     * 根据年份查询数据
     * @param pkAccperiod
     * @return List<CwBdAccperiodquart>
     *@author huangpeng
     *@date 2019年3月27日 下午2:04:28
     *@修改日志：
     */
	List<CwBdAccperiodquart> selectBy(@Param("pkAccperiod") String pkAccperiod);
	/**
	 * 功能描述  查询月份是否是季度
	 *@param year
	 *@param month
	 *@return Long
	 *@author huangpeng
	 *@date 2019年8月12日 上午10:18:30
	 *修改日志:
	 */
	String countPeridIsExists(@Param("year")String year,@Param("month")String month);
}